
(* read from a file *)
let _ =

	for i = 1 to Array.length Sys.argv - 1 do
		
		let ic = open_in Sys.argv.(i) in
		let lexbuf = Lexing.from_channel ic in
   		let program = Parser.program Scanner.token lexbuf in

		      ignore (Interpret.run program);
	  done
	


(*

(* read from the command line *)
let _ =
   let lexbuf = Lexing.from_channel stdin in
   let program = Parser.program Scanner.token lexbuf in

      ignore (Interpret.run program);

*)